#include <stdio.h>

int main() {
    int N,i,j,num;
    double res=0;
    scanf("%d",&N);
    double* A = (double*) calloc(N,sizeof(double));
    double* P = (double*) calloc(N,sizeof(double));
    for(i=0;i<N;i++){
        scanf("%lf %lf",A+i,P+i);
        }
    for(i=0;i<N;i++){
        num = 1;
        for(j=0;j<N;j++){
            if(*(P+i)<=*(P+j)&&j!=i){num++;}
        }
        if((num*(*(P+i)/100)*(*A))>res){res = num*(*(P+i)/100)*(*A);}
    }
    free(A);
    free(P);
    printf("%lf",res);
    return 0;
}